;; This file:
;;   http://anggtwu.net/elisp/emacsconf2024.el.html
;;   http://anggtwu.net/elisp/emacsconf2024.el
;;          (find-angg "elisp/emacsconf2024.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (load (buffer-file-name))
;;
;; (defun ecl () (interactive) (find-angg "elisp/emacsconf2024.el"))
;;
;; (set-face-foreground 'org-link nil)
;; (set-face-foreground 'org-link "#0090ff")
;; (set-face-foreground 'org-link "chocolate1")
;; (find-eface-links 'org-link)
;; (find-eface-links 'font-lock-comment-face)
;;
;; Used by:
;;   (find-angg "ORG/2024-trying-eev-with-a-sexp.org")
;;   (find-angg "ORG/2024-bash-test-blocks.org")
;;   (find-angg "ORG/emacsconf2024.org")
;;
;; (font)
;; (font "Inconsolata 20")
(defun font (&optional fontname &rest cmds)
  (interactive)
  (if fontname
      (set-frame-font fontname)
    (find-font-links))
  (cl-loop for cmd in cmds
	   do (if (eq cmd :p) (eek "<right> M-0 C-l"))))

(defun font-fwd  () (interactive) (search-forward "(font"))
(defun font-back () (interactive) (search-backward "(font"))

;;  (find-esetkey-links (kbd "M-n") 'font-fwd)
;;  (find-esetkey-links (kbd "M-p") 'font-back)
(define-key my-mode-map (kbd "M-n") 'font-fwd)
(define-key my-mode-map (kbd "M-p") 'font-back)

;; Test:
;; (font "Noto Mono 13" :p)
;; (font "Noto Mono 14" :p)
;; (font "Noto Mono 15" :p)





;; Local Variables:
;; coding:  utf-8-unix
;; End:
